OpenVDB 5.1.0

Classes | Namespaces | Functions
VolumeToSpheres.h File Reference

Fill a closed level set or fog volume with adaptively-sized spheres. More...

`#include <openvdb/tree/LeafManager.h>`
`#include "Morphology.h"`
`#include "PointScatter.h"`
`#include "LevelSetUtil.h"`
`#include "VolumeToMesh.h"`
`#include <boost/mpl/at.hpp>`
`#include <boost/mpl/int.hpp>`
`#include <boost/scoped_array.hpp>`
`#include <tbb/blocked_range.h>`
`#include <tbb/parallel_for.h>`
`#include <tbb/parallel_reduce.h>`
`#include <algorithm>`
`#include <cmath>`
`#include <limits>`
`#include <memory>`
`#include <random>`
`#include <utility>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | ClosestSurfacePoint< GridT >
| Accelerated closest surface point queries for narrow band level sets. More...
struct | PointAccessor
class | LeafOp< Index32LeafT >
class | NodeOp
class | ClosestPointDist< Index32LeafT >
class | UpdatePoints

## Namespaces
| openvdb
| openvdb::v5_1
| openvdb::v5_1::tools
| openvdb::v5_1::tools::v2s_internal

## Functions
template<typename GridT , typename InterrupterT = util::NullInterrupter>
void | fillWithSpheres (const GridT &grid, std::vector< openvdb::Vec4s > &spheres, int maxSphereCount, bool overlapping=false, float minRadius=1.0, float maxRadius=std::numeric_limits< float >::max(), float isovalue=0.0, int instanceCount=10000, InterrupterT *interrupter=nullptr)
| Fill a closed level set or fog volume with adaptively-sized spheres. More...

## Detailed Description

Fill a closed level set or fog volume with adaptively-sized spheres.